Bug 707965 - [abrt] gnumeric-1:1.10.15-1.fc14: Process /usr/bin/gnumeric-1.10.15 was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnumeric-1:1.10.15-1.fc14: Process /usr/bin/gnumeric-1.10.15 was kille...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnumeric
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4ac43639db74f535473b37e485b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-26 12:37 UTC by Peter Robinson
Modified: 2011-06-09 00:08 UTC (History)
3 users (show)

Fixed In Version: goffice-0.8.15-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-04 03:01:33 UTC


Attachments (Terms of Use)
File: backtrace (14.20 KB, text/plain)
2011-05-26 12:38 UTC, Peter Robinson
no flags Details

Description Peter Robinson 2011-05-26 12:37:59 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 14541 bytes
cmdline: gnumeric ntt/CDS-token-audit.xls
component: gnumeric
Attached file: coredump, 12365824 bytes
executable: /usr/bin/gnumeric-1.10.15
kernel: 2.6.38.2-10.fc15.x86_64
package: gnumeric-1:1.10.15-1.fc14
rating: 3
reason: Process /usr/bin/gnumeric-1.10.15 was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1306413353
uid: 501

How to reproduce
-----
1. run gnumeric
2.
3.

Comment 1 Peter Robinson 2011-05-26 12:38:02 UTC
Created attachment 501066 [details]
File: backtrace

Comment 2 Julian Sikorski 2011-05-26 13:28:39 UTC
Peter, would you be willing to share that file?

Comment 3 Peter Robinson 2011-05-26 13:49:33 UTC
(In reply to comment #2)
> Peter, would you be willing to share that file?

Which file? It was happening also when I was just starting gnumeric with no files at all. And the particular xls SS I was trying to open I can't share (ordinary I would but can't). But doing a "yum downgrade gnumeric goffice" fixed the problem

Comment 4 M Welinder 2011-05-26 13:53:07 UTC
No need.

http://git.gnome.org/browse/gnumeric/commit/?id=1d8b33e10e2de92369f1e99d3d4694fd15b557ec

Some glibs have a non-null ->constructed member.  Others do not.

Comment 5 Fedora Update System 2011-05-27 18:49:55 UTC
goffice-0.8.15-1.fc13, gnome-chemistry-utils-0.12.8-2.fc13, gnumeric-1.10.15-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/goffice-0.8.15-1.fc13,gnumeric-1.10.15-2.fc13,gnome-chemistry-utils-0.12.8-2.fc13

Comment 6 Fedora Update System 2011-05-27 18:51:47 UTC
goffice-0.8.15-1.fc14, gnome-chemistry-utils-0.12.8-2.fc14, gnumeric-1.10.15-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/goffice-0.8.15-1.fc14,gnumeric-1.10.15-2.fc14,gnome-chemistry-utils-0.12.8-2.fc14

Comment 7 Fedora Update System 2011-05-27 18:58:14 UTC
goffice-0.8.15-1.fc15, gnome-chemistry-utils-0.12.8-2.fc15, gnumeric-1.10.15-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/goffice-0.8.15-1.fc15,gnumeric-1.10.15-2.fc15,gnome-chemistry-utils-0.12.8-2.fc15

Comment 8 Fedora Update System 2011-05-30 22:27:16 UTC
Package goffice-0.8.15-1.fc14, gnome-chemistry-utils-0.12.8-2.fc14, gnumeric-1.10.15-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goffice-0.8.15-1.fc14 gnome-chemistry-utils-0.12.8-2.fc14 gnumeric-1.10.15-2.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/goffice-0.8.15-1.fc14,gnumeric-1.10.15-2.fc14,gnome-chemistry-utils-0.12.8-2.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-04 03:01:27 UTC
goffice-0.8.15-1.fc15, gnome-chemistry-utils-0.12.8-2.fc15, gnumeric-1.10.15-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-09 00:00:51 UTC
goffice-0.8.15-1.fc14, gnome-chemistry-utils-0.12.8-2.fc14, gnumeric-1.10.15-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-09 00:08:15 UTC
goffice-0.8.15-1.fc13, gnome-chemistry-utils-0.12.8-2.fc13, gnumeric-1.10.15-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.